package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.user.EduFaceGroupDevice;
import com.yida.data.user.dto.BindFaceGroupDeviceDTO;

import java.util.List;

/**
 * 人脸组、设备组关系 Service接口
 *
 * @author zhanghaijun
 * @date 2021-06-16 14:15:08
 */
public interface EduFaceGroupDeviceService extends IService<EduFaceGroupDevice> {

    void bindFaceGroupAndDevice(BindFaceGroupDeviceDTO dto);

    List<EduFaceGroupDevice> listFaceGroupDevice(Long faceGroupId);

    /**
     * 查询人脸组关联的设备（设备组查询出设备）
     */
    List<Long> listDeviceByFaceGroup(Long faceGroupId);

    /**
     * 查询人脸组关联的在线设备（设备组查询出设备）
     */
    List<Long> listFaceGroupOnlineDevice(Long faceGroupId);
}
